# Uses of Class
org.codehaus.janino.IClass.IField

Packages that use IClass.IField
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClass.IField in org.codehaus.janino

Subclasses of IClass.IField in org.codehaus.janino
Modifier and Type
Class
Description
`static class`
`UnitCompiler.SimpleIField`
Short-hand implementation of `IClass.IField` that implements a non-constant, non-static, package-accessible field.
Fields in org.codehaus.janino declared as IClass.IField
Modifier and Type
Field
Description
`final IClass.IField`
Java.FieldAccess.`field`
The field within the class or instance identified by the `Java.FieldAccess.lhs`.
Methods in org.codehaus.janino that return IClass.IField
Modifier and Type
Method
Description
`final IClass.IField`
IClass.`getDeclaredIField(String name)`
Returns the named `IClass.IField` declared in this `IClass` (does not work for inherited fields).
`final IClass.IField[]`
IClass.`getDeclaredIFields()`
Returns the `IClass.IField`s declared in this `IClass` (but not inherited fields).
`protected IClass.IField[]`
ClassFileIClass.`getDeclaredIFields2()`
`protected abstract IClass.IField[]`
IClass.`getDeclaredIFields2()`
Uncached version of `IClass.getDeclaredIFields()`.
`IClass.IField[]`
IClass.`getSyntheticIFields()`
Methods in org.codehaus.janino that return types with arguments of type IClass.IField
Modifier and Type
Method
Description
`SortedMap<String,IClass.IField>`
Java.AbstractClassDeclaration.`getSyntheticFields()`
`SortedMap<String,IClass.IField>`
Java.ClassDeclaration.`getSyntheticFields()`
Methods in org.codehaus.janino with parameters of type IClass.IField
Modifier and Type
Method
Description
`void`
Java.AbstractClassDeclaration.`defineSyntheticField(IClass.IField iField)`
Constructors in org.codehaus.janino with parameters of type IClass.IField
Modifier
Constructor
Description
``
`FieldAccess(Location location, Java.Atom lhs, IClass.IField field)`